<div class="ui grid">
  <div class="six wide column">
    <div class="ui cards">
      <div class="card">
        <div class="ui medium rounded image">
          <img [src]="book.thumbnailUrl" alt="Book's cover" />
        </div>

        <div class="content">
          <a class="header">{{ book.title }} </a>
          <div class="meta">
            <span class="date">{{ book.authors }}</span>
          </div>
        </div>

        <div class="extra content">

          <a>
            <i class="check icon"></i>
            {{ book.numAvailable }} available
          </a>
        </div>
      </div>
    </div>
  </div>

  <div class="ten wide column">
    <div class="ui piled segment">
      <h4 class="ui centered header">Book details</h4>

      <div class="ui grid">
        <div class="five wide column">
          <div class="ui list">
            <div class="item">
              <i class="bars icon"></i>
              <div class="content">
                <div class="header">Genre</div>
                <div class="list">
                  <div class="item" *ngFor="let genre of book.genre">
                    <i class="check icon"></i>
                    <div class="content">
                      <div class="description">{{ genre }}</div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>

          <div class="ui list">
            <div class="item">
              <i class="building outline icon"></i>
              <div class="content">
                <div class="header">Publisher</div>
                <div class="list">
                  <div class="item">
                    <i class="check icon"></i>
                    <div class="content">
                      <div class="description">{{ book.publisher }}</div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>

          <div class="ui list">
            <div class="item">
              <i class="language icon"></i>
              <div class="content">
                <div class="header">Language</div>
                <div class="list">
                  <div class="item">
                    <i class="check icon"></i>
                    <div class="content">
                      <div class="description">{{ book.language }}</div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

        <div class="nine wide column">
          {{ book.shortDescription }}
        </div>
      </div>
    </div>

    <button
      class="ui basic button"
      *ngIf="!isReserved && book.numAvailable > 0 && user != null"
      (click)="ReserveBook()"
      data-tooltip="View reserved books on your profile page"
      data-position="bottom center"
    >
      <i class="check icon"></i>
      Reserve a book
    </button>

    <button
      class="ui basic disabled button"
      *ngIf="book.numAvailable == 0 && user != null"
      (click)="ReserveBook()"
    >
      <i class="check icon"></i>
      Reserve a book
    </button>

    <button
      class="ui basic button"
      *ngIf="isReserved && user != null"
      data-tooltip="You can't reserve the same book multiple times!"
      data-position="bottom center"
    >
      You already reserved this book!
    </button>

    <button
      class="ui basic button"
      *ngIf="!isFavorite && user != null"
      (click)="FavoriteBook()"
      data-tooltip="View favorited books on your profile page"
      data-position="bottom center"
    >
      <i class="check icon"></i>
      Add to Favorites
    </button>

    <button
      class="ui basic button"
      *ngIf="isFavorite && user != null"
      data-tooltip="You can't favorite the same book multiple times!"
      data-position="bottom center"
    >
      You already favorited this book!
    </button>

    <div class="ui icon red message" *ngIf="book.numAvailable === 0">
      <i class="inbox icon"></i>
      <div class="content">
        <div class="header">Availability information</div>
        <p *ngIf="book.numAvailable === 0">
          Sorry... This book is not available.
        </p>
      </div>
    </div>

    <div
      class="ui icon orange message"
      *ngIf="book.numAvailable < 3 && book.numAvailable > 0"
    >
      <i class="inbox icon"></i>
      <div class="content">
        <div class="header">Availability information</div>
        <p>Hurry up! Supplies are running out.</p>
      </div>
    </div>

    <div class="ui icon green message" *ngIf="book.numAvailable >= 3">
      <i class="inbox icon"></i>
      <div class="content">
        <div class="header">Availability information</div>
        <p>In stock.</p>
      </div>
    </div>
  </div>
</div>

<br /><br />

<div class="ui comments segment" style="width: 100% !important">
  <h3 class="ui dividing header">Comments</h3>
  <div class="comment" *ngFor="let comment of comments">
    <a class="avatar">
      <img src="assets/blank-profile.png" />
    </a>
    <div class="content">
      <a class="author"> {{ comment[0] }} </a>
      <div class="metadata">
        <span class="date"> {{ comment[2] }}</span>
      </div>
      <div class="text">{{ comment[1] }}</div>
    </div>
  </div>

  <br />
  <br />

  <form
    [formGroup]="addCommentForm"
    (ngSubmit)="submitForm(addCommentForm.value)"
    *ngIf="user != null"
  >
    <div class="form-group">
      <div class="ui huge icon input">
        <input
          class="form−control"
          formControlName="comments"
          (keyup)="onAddText($event)"
          placeholder="Type comment"
        />
      </div>
      <div class="ui horizontal divider"></div>
      <div>
        <button
          class="ui blue labeled submit icon button"
          type="submit"
          data-tooltip="Share comment for this book with other viewers"
          data-position="bottom center"
        >
          <i class="icon edit"></i> Add comment
        </button>
      </div>
    </div>
  </form>
</div>

<div class="ui horizontal divider"></div>
<app-update-book *ngIf="isLibrarian" [book!]="book"></app-update-book>
